Latest information on Coronavirus 2019 (COVID-19)
Department of Health | Department of Labor FAQ's | Department of Human Services

Browser Requirements

The Office of Elections site is optimized for Google Chrome and Mozilla Firefox. To have the best web browsing experience, we recommend using the latest web browser version. If you are using Microsoft Internet Explorer, we recommend using versions 8 or higher and disabling compatibility view.

Supported browser versions for interactive tables:

  • Google Chrome (recommended):  two most recent versions
  • Apple Safari: two most recent versions
  • Microsoft Internet Explorer:  three most recent versions
  • Mozilla Firefox: two most recent versions